Subject: Re: [net-next RFC PATCH 03/14] dt-bindings: net: document ethernet PHY package nodes

From: "Russell King (Oracle)" <[email-masked]>
Date: Thu, 23 Nov 2023 14:35:31 +0000

On Thu, Nov 23, 2023 at 03:27:05PM +0100, Andrew Lunn wrote:
> > Just to be more precise qca807x can operate in 3 different mode:
> > (this is controlled by the MODE_CFG bits)
> 
> > - QSGMII: 5 copper port
> 
> 4 slots over QSGMII, plus the second SERDES is connected to the MAC
> using SGMII/1000BaseX?
> 
> > - PSGMII: 5 copper port
> 
> 5 slots over QSGMII, the second SERDES is idle?
> 
> > - PSGMII: 4 copper port + 1 combo (that can be both fiber or copper)
> 
> 5 slots over QSGMII, with the second SERDES connected to an SFP cage.
> 
> Are ports 1-4 always connected to the P/Q SGMII. Its only port 5 which
> can use the second SERDES?

I think what would really help here is if there was an ascii table to
describe the configurations, rather than trying to put it into words.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!